<?php
$map = array(
    'af' => 'af',
    'ar' => 'ar',
    'az' => 'az',
    'bel' => 'be',
    'bg_BG' => 'bg',
    'bn_BD' => 'bn',
    'bs_BA' => 'bs',
    'ca' => 'ca',
    'cs_CZ' => 'cs',
    'cy' => null,
    'da_DK' => 'da',
    'de' => 'de',
    'de_CH' => 'de',
    'de_DE' => 'de',
    'el' => 'el',
    'en' => 'en-US',
    'en_AU' => 'en-US',
    'en_CA' => 'en-US',
    'en_GB' => 'en-US',
    'en_US' => 'en-US',
    'eo' => null,
    'es' => 'es-ES',
    'es_CL' => 'es-MX',
    'es_ES' => 'es-ES',
    'es_MX' => 'es-MX',
    'es_PE' => 'es-MX',
    'es_VE' => 'es-MX',
    'et' => 'et',
    'eu' => 'eu',
    'fa_AF' => 'fa',
    'fa_IR' => 'fa',
    'fi' => 'fi',
    'fo' => null,
    'fr' => 'fr',
    'fr_FR' => 'fr',
    'fy' => null,
    'gd' => null,
    'gl_ES' => 'es-ES',
    'haz' => null,
    'he_IL' => 'he',
    'hi_IN' => 'hi',
    'hr' => 'hr',
    'hu_HU' => 'hu',
    'hy' => 'hy-AM',
    'id_ID' => 'id',
    'is_IS' => 'is',
    'it_IT' => 'it',
    'ja' => 'ja',
    'jv_ID' => null,
    'ka_GE' => 'ka',
    'kk' => null,
    'ko_KR' => 'ko',
    'ckb' => 'ku',
    'lo' => null,
    'lt_LT' => 'lt',
    'lv' => 'lv',
    'mk_MK' => 'mk',
    'mn' => null,
    'ms_MY' => 'ms',
    'my_MM' => 'my',
    'nb_NO' => 'no',
    'ne_NP' => 'ne-NP',
    'nl_NL' => 'nl',
    'nn_NO' => 'no',
    'pl_PL' => 'pl',
    'pt_BR' => 'pt-BR',
    'pt_PT' => 'pt-PT',
    'ro_RO' => 'ro',
    'ru_RU' => 'ru',
    'si_LK' => null,
    'sk_SK' => 'sk',
    'sl_SI' => 'sl',
    'so_SO' => null,
    'sq' => 'sq',
    'sr_RS' => 'sr',
    'su_ID' => null,
    'sv_SE' => 'sv-SE',
    'ta_LK' => 'ta',
    'th' => 'th',
    'tr' => 'tr',
    'tr_TR' => 'tr',
    'ug_CN' => null,
    'uk' => 'uk',
    'ur' => 'ur-PK',
    'uz_UZ' => 'uz',
    'vec' => null,
    'vi' => 'vi',
    'zh_CN' => 'zh-CN',
    'zh_HK' => 'zh-TW',
    'zh_TW' => 'zh-TW',
);

// array_flip doesn't really work well here.
$reversedMap = array(
    'af' => 'af',
    'ar' => 'ar',
    'az' => 'az',
    'be' => 'bel',
    'bg' => 'bg_BG',
    'bn' => 'bn_BD',
    'bs' => 'bs_BA',
    'ca' => 'ca',
    'cs' => 'cs_CZ',
    'cy' => 'cy',
    'da' => 'da_DK',
    'de' => 'de',
    'el' => 'el',
    'en-US' => 'en',
    'eo' => 'eo',
    'es-ES' => 'es',
    'es-MX' => 'es_MX',
    'et' => 'et',
    'eu' => 'eu',
    'fa' => 'fa_AF',
    'fi' => 'fi',
    'fo' => 'fo',
    'fr' => 'fr',
    'fy' => 'fy',
    'gd' => 'gd',
    'haz' => 'haz',
    'he' => 'he_IL',
    'hi' => 'hi_IN',
    'hr' => 'hr',
    'hu' => 'hu_HU',
    'id' => 'id_ID',
    'is' => 'is_IS',
    'it' => 'it_IT',
    'ja' => 'ja',
    'jv-ID' => 'jv_ID',
    'ka' => 'ka_GE',
    'kk' => 'kk',
    'ko' => 'ko_KR',
    'ku' => 'ckb',
    'lo' => 'lo',
    'lt' => 'lt_LT',
    'lv' => 'lv',
    'mk' => 'mk_MK',
    'mn' => 'mn',
    'ms' => 'ms_MY',
    'my' => 'my_MM',
    'no' => 'nb_NO',
    'ne-NP' => 'ne_NP',
    'nl' => 'nl_NL',
    'pl' => 'pl_PL',
    'pt-BR' => 'pt_BR',
    'pt-PT' => 'pt_PT',
    'ro' => 'ro_RO',
    'ru' => 'ru_RU',
    'si-LK' => 'si_LK',
    'sk' => 'sk_SK',
    'sl' => 'sl_SI',
    'so-SO' => 'so_SO',
    'sq' => 'sq',
    'sr' => 'sr_RS',
    'su-ID' => 'su_ID',
    'sv-SE' => 'sv_SE',
    'ta' => 'ta_LK',
    'th' => 'th',
    'tr' => 'tr',
    'ug-CN' => 'ug_CN',
    'uk' => 'uk',
    'ur-PK' => 'ur',
    'uz' => 'uz_UZ',
    'vec' => 'vec',
    'vi' => 'vi',
    'zh-CN' => 'zh_CN',
    'zh-TW' => 'zh_HK',
);